

/* This separates the exposed filter conterols from the page title */
.press-release-search .view-filters,
.press-review-search .view-filters {
    margin-top:30px;

    color:white;
    margin-bottom:30px;
    background-color: black;
    border-radius:20px;
}


.press-release-search .views-exposed-form label,
.press-release-search .views-exposed-form input,
.press-release-search .views-exposed-form select,
.press-review-search .views-exposed-form label,
.press-review-search .views-exposed-form input,
.press-review-search .views-exposed-form select
{
    display:inline-block;
    width: unset;
}

/*
We have something like this:

+-- flex-item --++-- flex-item --++-- flex-item --++-- flex-item --+
|               ||               ||               ||               |
  label control    label control    label control    label control  

The margin is set only between a label and a control. A control
will never be to close to the label following it because this
space will be controlled by the flex.
*/
.press-review-search .views-exposed-form input,
.press-review-search .views-exposed-form select
{
    margin-left:0rem;
}



.press-release-search .form-item-title input::placeholder,
.press-review-search .form-item-title input::placeholder {
    color:black;
}


.press-release-search .form-item-title input,
.press-review-search .form-item-title input {
        width:100%;
}


.press-release-search .form-item-title,
.press-review-search .form-item-title {
    /*
    margin-top:10px;
    margin-bottom:10px;
    */
	width:100%;
	text-align:center;
}

.press-release-search .form-actions,
.press-review-search .form-actions {
    width:100%;
    height:100%;
    display:flex;
    gap:10px;
    justify-content: left;
    align-items: center;
}

@media (width < 576px) {
   .press-release-search .views-exposed-form label,
   .press-review-search .views-exposed-form label {
        width:100px;
   }
}

.press-release-search .search-form-controls-col input[type="date"],
.press-review-search .search-form-controls-col input[type="date"],
.press-release-search .search-form-controls-col select,
.press-review-search .search-form-controls-col select
 {
    background-color:black;
    color:white;
    color-scheme:dark;
}

.press-release-search .search-form-controls-col input[type="date"]::-webkit-calendar-picker-indicator,
.press-review-search .search-form-controls-col input[type="date"]::-webkit-calendar-picker-indicator {
    _filter: invert(1);
        filter: brightness(0) invert(1);

    _cursor: pointer;
}


.press-release-search .search-form-controls-col,
.press-release-search .search-form-actions-col,
.press-review-search .search-form-controls-col,
.press-review-search .search-form-actions-col {
    margin-top:25px;
    margin-bottom:25px;
}


@media (width <= 768px)
{
    .press-release-search .form-actions,
    .press-review-search .form-actions {
        justify-content: right;
    }

    .press-release-search .search-form-spacer-col,
    .press-review-search .search-form-spacer-col {
        height:0px;
    }

    
    .press-release-search .search-form-controls-col,
    .press-review-search .search-form-controls-col
     {
         margin-bottom:20px;
     }
     

    .press-release-search .search-form-actions-col,
    .press-review-search .search-form-actions-col {
        margin-top:0px;
    }
}


@media (width >= 768px)
{
    .press-release-search .views-exposed-form label,
    .press-review-search .views-exposed-form label {
	    width:unset;
    }
}



.icon-search, .icon-reset {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    height: 2.5rem;
    font-size: 0;
    line-height: 0;
    background-color:black;
    border-color:white;
    padding:0px;
}


.icon-search::after,
.icon-reset::after {
    content: "";
    display: block;
    width: 25px;
    height: 25px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.icon-search, .icon-reset {
   position: relative;
}

.icon-search::after {
    background: url("/themes/custom/jnews/img/srch-lens.svg") no-repeat center;
}

.icon-reset::after {
    background: url("/themes/custom/jnews/img/srch-rst.svg") no-repeat center;
}

.icon-search:hover, .icon-reset:hover {
    background-color: white;
    border-color: var(--bs-btn-hover-border-color);
}

.icon-search:hover::after, .icon-reset:hover::after {
    filter: invert(1);
}

.icon-search:focus, .icon-reset:focus {
    background-color: white;
    border-color: var(--bs-btn-hover-border-color);
}

.icon-search:focus::after, .icon-reset:focus::after {
    filter: invert(1);
}






.press-review-search .view-content .item-list li {
    margin-top:20px;
}

.press-review-search > nav {
    margin-top:40px;
}

.press-review-list.press-review-search .view-content {
    background-color: var(--contents-area-bkg);
    border-radius:var(--contents-area-border-radius);
    padding:var(--spacer-1);
}
